package com.platform.modules.live.entity;

import java.io.Serializable;
import java.util.Date;

import org.hibernate.validator.constraints.NotBlank;

import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;

import io.swagger.annotations.ApiModelProperty;
/**
 * 现场评论
 * 
 * @author weiyan
 * @email 
 * @date 2020-04-08 17:42:35
 */
@TableName("live_task_allocation")
public class LiveTaskAllocationEntity implements Serializable {
	private static final long serialVersionUID = 1L;
	
	//数据ID
	@NotBlank(message = "id不能为空")
	@TableId
	private Integer id;
	//语音url
	@NotBlank(message = "uri不能为空")
	private String uri;
	//语音内容
	@NotBlank(message = "text不能为空")
	private String text;
	//语音时长
	@ApiModelProperty(value = "durationTime不能为空")
	private String durationTime;
	//记者ID
	@NotBlank(message = "reporterId不能为空")
	private Integer reporterId;
	//创建人
	@NotBlank(message = "createId不能为空")
	private Integer createId;
	//创建时间
	@NotBlank(message = "createDate不能为空")
	private Date createDate;
	//是否删除 0未删除 1 删除
	@NotBlank(message = "isDelete不能为空")
	private Integer isDelete;
	//是否发布 0 未读 1 已读
	@NotBlank(message = "isRead不能为空")
	private Integer isRead;
	//阅读时间
	@NotBlank(message = "readDate不能为空")
	private Date readDate;
	//租户ID
    @ApiModelProperty(value = "租户ID")
	private Long tenantId;
    //TaskId
	@ApiModelProperty(value = "TaskId")
	private String taskId;

	/**
	 * 设置：数据ID
	 */
	public void setId(Integer id) {
		this.id = id;
	}
	/**
	 * 获取：数据ID
	 */
	public Integer getId() {
		return id;
	}
	/**
	 * 设置：语音url
	 */
	public void setUri(String uri) {
		this.uri = uri;
	}
	/**
	 * 获取：语音url
	 */
	public String getUri() {
		return uri;
	}
	/**
	 * 设置：语音内容
	 */
	public void setText(String text) {
		this.text = text;
	}
	/**
	 * 获取：语音内容
	 */
	public String getText() {
		return text;
	}
	/**
	 * 设置：记者ID
	 */
	public void setReporterId(Integer reporterId) {
		this.reporterId = reporterId;
	}
	/**
	 * 获取：记者ID
	 */
	public Integer getReporterId() {
		return reporterId;
	}
	/**
	 * 设置：创建人
	 */
	public void setCreateId(Integer createId) {
		this.createId = createId;
	}
	/**
	 * 获取：创建人
	 */
	public Integer getCreateId() {
		return createId;
	}
	/**
	 * 设置：创建时间
	 */
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}
	/**
	 * 获取：创建时间
	 */
	public Date getCreateDate() {
		return createDate;
	}
	/**
	 * 设置：是否删除 0未删除 1 删除
	 */
	public void setIsDelete(Integer isDelete) {
		this.isDelete = isDelete;
	}
	/**
	 * 获取：是否删除 0未删除 1 删除
	 */
	public Integer getIsDelete() {
		return isDelete;
	}
	/**
	 * 设置：是否发布 0 未读 1 已读
	 */
	public void setIsRead(Integer isRead) {
		this.isRead = isRead;
	}
	/**
	 * 获取：是否发布 0 未读 1 已读
	 */
	public Integer getIsRead() {
		return isRead;
	}
	/**
	 * 设置：阅读时间
	 */
	public void setReadDate(Date readDate) {
		this.readDate = readDate;
	}
	/**
	 * 获取：阅读时间
	 */
	public Date getReadDate() {
		return readDate;
	}
	
	public String getDurationTime() {
		return durationTime;
	}
	
	public void setDurationTime(String durationTime) {
		this.durationTime = durationTime;
	}
	
	public Long getTenantId() {
		return tenantId;
	}
	
	public void setTenantId(Long tenantId) {
		this.tenantId = tenantId;
	}

	public String getTaskId() {
		return taskId;
	}

	public void setTaskId(String taskId) {
		this.taskId = taskId;
	}
}
